Sisimai::Order(3pm)

NAME
Sisimai::Order - A Class for making an optimized order list for calling MTA modules in Sisimai::Lhost::*.

SYNOPSIS
    use Sisimai::Order

DESCRIPTION
Sisimai::Order class makes optimized order list which include MTA modules to be loaded on first from MTA specific headers in the bounce mail headers such as X-Failed-Recipients, which MTA modules for JSON structure.

CLASS METHODS

  "by(STRING)"
"by()" receives a pattern name string as the 1st argument and returns a table of MTA module. As of present, only "subject" is supported at the 1st argument.

    my $tab = Sisimai::Order->by('subject');

  "default()"
"default()" returns a default order of MTA modules as an array reference. The default order is defined at Sisimai::Lhost->index method.

    print for @{ Sisimai::Order->default };

  "another()"
"another()" returns another list of MTA modules as an array reference. Another list is defined at this class.

    print for @{ Sisimai::Order->another };

  "headers()"
"headers()" returns MTA specific header table.

    print keys %{ Sisimai::Order->headers };

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2015-2017,2019 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.